Bug 1200247 - Qprintpreviewdialog crash
Summary: Qprintpreviewdialog crash
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mingw-qt
Version: 21
Hardware: x86_64
OS: Windows
unspecified
medium
Target Milestone: ---
Assignee: Thomas Sailer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-10 06:13 UTC by angelo.scarna
Modified: 2015-04-05 14:32 UTC (History)
5 users (show)

Fixed In Version: mingw-qt-4.8.6-7.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-31 21:57:14 UTC
Type: Bug


Attachments (Terms of Use)
Print preview test (208.09 KB, image/png)
2015-03-10 06:13 UTC, angelo.scarna
no flags Details
Print preview test crash (145.69 KB, image/png)
2015-03-10 06:14 UTC, angelo.scarna
no flags Details

Description angelo.scarna 2015-03-10 06:13:37 UTC
Created attachment 999753 [details]
Print preview test

Goog morning,

qprintpreviewdialog closes unexpectedly. With the 32 -bit mingw the problem does not exist . Trust in your help . Thank You.

Comment 1 angelo.scarna 2015-03-10 06:14:17 UTC
Created attachment 999754 [details]
Print preview test crash

Comment 2 Thomas Sailer 2015-03-10 07:09:45 UTC
make a test case please. PNG images do not help a lot.

Comment 3 angelo.scarna 2015-03-10 14:40:36 UTC
This is evidenced by the error event log windows:


Nome registro: Application
Origine:       Application Error
Data:          10/03/2015 15:31:57
ID evento:     1000
Categoria attività:(100)
Livello:       Errore
Parole chiave: Classico
Utente:        N/D
Computer:      angelo-PC
Descrizione:
Nome dell'applicazione che ha generato l'errore: fabaria_gest.exe, versione: 0.0.0.0, timestamp: 0x54fe03dd
Nome del modulo che ha generato l'errore: unknown, versione: 0.0.0.0, timestamp: 0x00000000
Codice eccezione: 0xc0000005
Offset errore 0xfffffffffe133acc
ID processo che ha generato l'errore: 0x974
Ora di avvio dell'applicazione che ha generato l'errore: 0x01d05b3eed878ba8
Percorso dell'applicazione che ha generato l'errore: C:\Program Files\FabariaGest\fabaria_gest.exe
Percorso del modulo che ha generato l'errore: unknown
ID segnalazione: 3458ea4d-c732-11e4-82d4-080027af2bfd
XML evento:
<Event xmlns="http://schemas.microsoft.com/win/2004/08/events/event">
  <System>
    <Provider Name="Application Error" />
    <EventID Qualifiers="0">1000</EventID>
    <Level>2</Level>
    <Task>100</Task>
    <Keywords>0x80000000000000</Keywords>
    <TimeCreated SystemTime="2015-03-10T14:31:57.000000000Z" />
    <EventRecordID>1592</EventRecordID>
    <Channel>Application</Channel>
    <Computer>angelo-PC</Computer>
    <Security />
  </System>
  <EventData>
    <Data>fabaria_gest.exe</Data>
    <Data>0.0.0.0</Data>
    <Data>54fe03dd</Data>
    <Data>unknown</Data>
    <Data>0.0.0.0</Data>
    <Data>00000000</Data>
    <Data>c0000005</Data>
    <Data>fffffffffe133acc</Data>
    <Data>974</Data>
    <Data>01d05b3eed878ba8</Data>
    <Data>C:\Program Files\FabariaGest\fabaria_gest.exe</Data>
    <Data>unknown</Data>
    <Data>3458ea4d-c732-11e4-82d4-080027af2bfd</Data>
  </EventData>
</Event>

The application closes when calling the print preview

Comment 4 Thomas Sailer 2015-03-10 14:54:10 UTC
We cannot do anything with an instruction pointer to an executable we don't have and don't have the source code, we really need some (small) test case (source code) that reproduces the problem.

Comment 7 Erik van Pienbroek 2015-03-10 15:24:45 UTC
Could you please try to get a backtrace of the crash using gdb?
Here are the instructions:

On the Fedora machine:
* yum install mingw32-gdb
* yum install mingw32-qt-debuginfo --enablerepo=fedora-debuginfo --enablerepo=updates-debuginfo
* copy the following files from your Fedora machine (the folder /usr/i686-w64-mingw32/sys-root/mingw/bin) to to application folder on your Windows machine:
  gdb.exe
  iconv.dll
  libexpat-1.dll
  QtCore4.dll.debug
  QtGui4.dll.debug
  

On your Windows machine open a command prompt and do the following:
* cd to the folder with your application and the gdb executable
* gdb.exe fabaria_gest.exe
* run
<trigger the crash>
* backtrace
* bt full
* info locals

Please paste the complete output of the command prompt to this bug

Comment 8 angelo.scarna 2015-03-10 15:52:17 UTC
Starting program: C:\Users\angelo\Desktop\FabariaGest-1.0-win64\fabaria_gest.exe

[New Thread 2812.0x98]
[New Thread 2812.0x24c]
[New Thread 2812.0x770]
[New Thread 2812.0xaa0]
[New Thread 2812.0x994]

Program received signal SIGSEGV, Segmentation fault.
0xffffffffff8f3acc in ?? ()

The problem occurs only with mingw64

Comment 9 angelo.scarna 2015-03-10 16:27:25 UTC
#0  0xffffffffff893acc in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Comment 10 angelo.scarna 2015-03-10 16:28:44 UTC
Starting program: C:\Users\angelo\Desktop\debug\codicefiscale.exe
[New Thread 3008.0xbc4]
[New Thread 3008.0xbc8]
[New Thread 3008.0xbcc]
[New Thread 3008.0xbd0]
[New Thread 3008.0xbd4]
[New Thread 3008.0xbd8]

Program received signal SIGSEGV, Segmentation fault.
0xffffffffff893acc in ?? ()
(gdb) bt
#0  0xffffffffff893acc in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)
(gdb)

Comment 11 Erik van Pienbroek 2015-03-10 17:14:05 UTC
For win64 please repeat the exact same steps, but with the packages 'mingw64-gdb' and 'mingw64-qt-debuginfo' and the folder /usr/x86_64-w64-mingw32/sys-root/bin

Comment 12 angelo.scarna 2015-03-10 17:26:36 UTC
This is output:

Starting program: C:\Users\angelo\Desktop\debug\codicefiscale.exe
[New Thread 2840.0xb2c]
[New Thread 2840.0xb24]
[New Thread 2840.0xb34]
[New Thread 2840.0xb1c]
[New Thread 2840.0xb20]
[New Thread 2840.0xb38]

Program received signal SIGSEGV, Segmentation fault.
0xfffffffffe953acc in ?? ()
(gdb) backtrace
#0  0xfffffffffe953acc in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)
(gdb) bt full
#0  0xfffffffffe953acc in ?? ()
No symbol table info available.
Backtrace stopped: previous frame identical to this frame (corrupt stack?)
(gdb) info locals
No symbol table info available.

Comment 13 Erik van Pienbroek 2015-03-10 17:51:52 UTC
Please recompile your executable with debugging enabled (the '-g' flag needs to be added to gcc/g++) and try again. Also make sure that the libraries QtCore4.dll and QtGui4.dll are exactly the same on both your Fedora environment as your Windows environment otherwise the Qt debug symbols can not be loaded.

Comment 14 angelo.scarna 2015-03-10 18:45:13 UTC
This is the output compiled with -g:

(gdb) run
Starting program: C:\Users\angelo\Desktop\debug\codicefiscale.exe
[New Thread 1500.0x3f4]
warning: section .gnu_debuglink not found in C:\Users\angelo\Desktop\debug\QtCor
ed4.dll.debug
warning: section .gnu_debuglink not found in C:\Users\angelo\Desktop\debug\QtGui
d4.dll.debug
warning: section .gnu_debuglink not found in C:\Users\angelo\Desktop\debug\QtNet
workd4.dll.debug
warning: section .gnu_debuglink not found in C:\Users\angelo\Desktop\debug\QtXml
d4.dll.debug
[New Thread 1500.0x91c]
[New Thread 1500.0xa74]
[New Thread 1500.0x270]
[New Thread 1500.0x12c]
[New Thread 1500.0x8b4]

Program received signal SIGSEGV, Segmentation fault.
0xfffffffffe953acc in ?? ()
(gdb) backtrace
#0  0xfffffffffe953acc in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)
(gdb) bt full
#0  0xfffffffffe953acc in ?? ()
No symbol table info available.
Backtrace stopped: previous frame identical to this frame (corrupt stack?)
(gdb) cont
Continuing.

Program received signal SIGSEGV, Segmentation fault.
0xfffffffffe953acc in ?? ()
(gdb) bt
#0  0xfffffffffe953acc in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)
(gdb)

Comment 15 angelo.scarna 2015-03-10 18:46:57 UTC
The version used is the qt 4.8.6

Comment 16 angelo.scarna 2015-03-10 20:50:53 UTC
I did downgrade the qt 4.8.6-3 and working properly. So will a bug compiled version .. Thanks for the support ...

Comment 17 Erik van Pienbroek 2015-03-10 21:56:34 UTC
What version of the mingw64-qt package were you using which was showing this crash? Or did you perhaps try to use precompiled Qt libraries from another source?

Comment 18 angelo.scarna 2015-03-11 05:19:00 UTC
I used your library . Is 4.8.6-6

Comment 19 angelo.scarna 2015-03-11 13:31:48 UTC
I use your library included in the Fedora Linux 21. The library is 4.8.6-6

Comment 20 Erik van Pienbroek 2015-03-19 13:55:42 UTC
What version of mingw64-winpthreads do you have installed? In the Fedora 21 updates repository the latest available version of that package is 4.0-0.1.rc1.fc21. The library libwinpthread-1.dll from this package should also be made available on your Windows environment along with your application.

Comment 21 angelo.scarna 2015-03-19 17:00:43 UTC
The version of mingw64-winpthreads installed is 4.0-0.1.rc1,fc21. The software via gdb gives me the following error.


(gdb) run
Starting program: C:\Program Files\FabariaGest\fabaria_gest.exe
[New Thread 2756.0xac8]
[New Thread 2756.0xacc]
[New Thread 2756.0xae0]
[New Thread 2756.0xae4]
[New Thread 2756.0xae8]

Program received signal SIGSEGV, Segmentation fault.
0xfffffffffedf3acc in ?? ()
(gdb)

The problem resides in the package qt and not in the other libraries . Perhaps it should be recompiled .

Comment 22 Erik van Pienbroek 2015-03-22 17:06:17 UTC
Could you check if the RPMs from http://koji.fedoraproject.org/koji/taskinfo?taskID=9291618 (qt) and http://koji.fedoraproject.org/koji/buildinfo?buildID=622255 (winpthreads) also cause a crash?

Comment 23 angelo.scarna 2015-03-22 21:32:19 UTC
It works perfectly . Thanks for the support.

Comment 24 Fedora Update System 2015-03-23 18:39:58 UTC
mingw-qt-4.8.6-7.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mingw-qt-4.8.6-7.fc21

Comment 25 Fedora Update System 2015-03-23 18:40:28 UTC
mingw-qt-4.8.6-7.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/mingw-qt-4.8.6-7.fc22

Comment 26 Fedora Update System 2015-03-26 21:27:58 UTC
Package mingw-qt-4.8.6-7.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mingw-qt-4.8.6-7.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-4491/mingw-qt-4.8.6-7.fc21
then log in and leave karma (feedback).

Comment 27 Fedora Update System 2015-03-31 21:57:14 UTC
mingw-qt-4.8.6-7.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2015-04-05 14:32:13 UTC
mingw-qt-4.8.6-7.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.